Yes they are! All our panel are HDCP compliant, their support versions are 1.4/2.2.